## python-oslo.cache 1.30.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dogpile.cache>=0.6.2 # BSD
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generating sphinx documentation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
python-memcached>=1.56 # PSF
pymongo!=3.1,>=3.0.2 # Apache-2.0
etcd3gw>=0.2.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
mock>=2.0.0 # BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (1.30.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 14:27:00 +0100

python-oslo.cache (1.30.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2018 15:01:25 +0100

python-oslo.cache (1.30.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 16:30:48 +0200

python-oslo.cache (1.30.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Build the sphinx doc with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Aug 2018 22:47:37 +0200

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python-dogpile.cache,
 python-etcd3gw <!nodoc>,
 python-hacking,
 python-memcache <!nodoc>,
 python-mock <!nodoc>,
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:3.2.0),
 python-pymongo,
 python-six,
 python3-dogpile.cache,
 python3-hacking,
 python3-memcache,
 python3-mock,
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-six,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache
Architecture: all
Depends:
 python-dogpile.cache,
 python-memcache,
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 2.7
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 2.7 module.

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-dogpile.cache,
 python3-memcache,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.cache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.cache-doc/usr/share/doc/python-oslo.cache-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-oslo.cache 1.33.2

=== debian/changelog ===
python-oslo.cache (1.33.2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:58:28 +0200

python-oslo.cache (1.33.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:52:35 +0200

python-oslo.cache (1.33.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * d/control: Removed versions already provided by Buster.
  * Do not test mongodb backend (mongo is removed from Debian).
  * Add debian/python3-oslo.cache.install, and use setup.py install in the
    debian/tmp folder, so that we can use that for tests.
  * (Build-)Depends on python3-dogpile.cache (>= 0.7.1).

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 15:29:43 +0100

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-dogpile.cache (>= 0.7.1),
 python3-etcd3gw <!nodoc>,
 python3-hacking,
 python3-memcache,
 python3-mock,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest,
 python3-pymongo,
 python3-six,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-dogpile.cache (>= 0.7.1),
 python3-memcache,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

## python-oslo.cache 1.37.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,11 +4,9 @@
 
 # For generating sphinx documentation
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
 reno>=2.5.0 # Apache-2.0
-python-memcached>=1.56 # PSF
-pymongo!=3.1,>=3.0.2 # Apache-2.0
-etcd3gw>=0.2.0 # Apache-2.0
 sphinxcontrib-apidoc>=0.2.0  # BSD
 
 # For autodoc builds

=== debian/changelog ===
python-oslo.cache (1.37.0-2) unstable; urgency=medium

  [ Thomas Goirnad ]
  * Uploading to unstable.

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:01:59 +0200

python-oslo.cache (1.37.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 12:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,7 +15,7 @@
  python3-sphinx <!nodoc>,
 Build-Depends-Indep:
  python3-dogpile.cache (>= 0.7.1),
- python3-etcd3gw <!nodoc>,
+ python3-etcd3gw,
  python3-hacking,
  python3-memcache,
  python3-mock,
@@ -32,7 +32,7 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
 Homepage: https://launchpad.net/oslo

## python-oslo.cache 2.0.0

=== debian/changelog ===
python-oslo.cache (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:35:50 -0400

python-oslo.cache (1.38.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:33:39 +0000

python-oslo.cache (1.38.0-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:12:56 -0500

python-oslo.cache (1.38.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/t/python-import: Add oslo module import test.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 09:33:49 -0500

python-oslo.cache (1.37.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:19:30 -0400

python-oslo.cache (1.36.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:46:22 -0400

python-oslo.cache (1.35.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Add python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 09:52:25 -0400

python-oslo.cache (1.35.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jun 2019 10:58:06 -0400

python-oslo.cache (1.33.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:02:16 +0000

python-oslo.cache (1.32.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:19:12 +0000

python-oslo.cache (1.31.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:16:16 +0000

## python-oslo.cache 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 dogpile.cache>=0.6.2 # BSD
-six>=1.10.0 # MIT
+six>=1.11.0 # MIT
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 
 # For generating sphinx documentation
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
+sphinx>=1.8.0,!=2.1.0 # BSD
 reno>=2.5.0 # Apache-2.0
 sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.cache (2.3.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:45:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.cache
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
@@ -12,28 +13,29 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 1.8.0) <!nodoc>,
 Build-Depends-Indep:
  python3-dogpile.cache (>= 0.7.1),
- python3-etcd3gw,
- python3-hacking,
- python3-memcache,
- python3-mock,
- python3-openstackdocstheme <!nodoc>,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.utils,
+ python3-etcd3gw (>= 0.2.0),
+ python3-hacking (>= 1.1.0),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.utils (>= 3.33.0),
  python3-oslosphinx (>= 2.5.0),
- python3-oslotest,
- python3-pymongo,
- python3-six,
- python3-sphinxcontrib.apidoc,
+ python3-oslotest (>= 1:3.2.0),
+ python3-pymongo (>= 3.0.2),
+ python3-six (>= 1.11.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.cache
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.cache
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.cache-doc
@@ -56,11 +58,11 @@
 Depends:
  python3-dogpile.cache (>= 0.7.1),
  python3-memcache,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.utils,
- python3-six,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-six (>= 1.11.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-oslo.cache 2.6.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dogpile.cache>=1.0.2 # BSD
oslo.config>=8.1.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.1 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (2.6.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:00:34 +0200

python-oslo.cache (2.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:58:04 +0200

python-oslo.cache (2.6.0-2) experimental; urgency=medium

  * Removed python3-pre-commit from depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2020 10:37:40 +0200

python-oslo.cache (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 12:37:49 +0200

python-oslo.cache (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:42:39 +0200

python-oslo.cache (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:22:39 +0200

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.0.2),
 python3-etcd3gw,
 python3-hacking,
 python3-memcache,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config (>= 8.1.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.0),
 python3-oslo.utils (>= 4.2.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest,
 python3-pymongo,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.0.2),
 python3-memcache,
 python3-oslo.config (>= 8.1.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.0),
 python3-oslo.utils (>= 4.2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.cache/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.cache 2.6.3

=== debian/changelog ===
python-oslo.cache (2.6.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Add allways-allow-dogpile.cache.pymemcache-as-backend.patch
  * Add python3-pymemcache as (build-)depends.
  * Blacklist unit tests not working with Bullseye version of pymemcache:
    - test_cache_pymemcache_socket_keepalive_enabled
    - test_cache_pymemcache_socket_keepalive_with_config
  * Add Clean-up_memcache_connection_sockets.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Tue, 14 Nov 2023 10:38:52 +0000

python-oslo.cache (2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Mar 2021 13:34:14 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  python3-oslo.utils (>= 4.2.0),
  python3-oslosphinx (>= 2.5.0),
  python3-oslotest,
+ python3-pymemcache,
  python3-pymongo,
  python3-sphinxcontrib.apidoc,
  subunit,
@@ -60,6 +61,7 @@
  python3-oslo.i18n (>= 5.0.0),
  python3-oslo.log (>= 4.2.0),
  python3-oslo.utils (>= 4.2.0),
+ python3-pymemcache,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.cache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_cache\.tests\.(?!(.*test_cache_backend_mongo.*|unit\.test_cache_basics\.CacheRegionTest\.test_cache_pymemcache_socket_keepalive_enabled|unit\.test_cache_basics\.CacheRegionTest\.test_cache_pymemcache_socket_keepalive_with_config))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.cache-doc/usr/share/doc/python-oslo.cache-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-oslo.cache 2.7.0

=== debian/changelog ===
python-oslo.cache (2.7.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 12 Apr 2021 13:52:03 +0000

python-oslo.cache (2.7.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:55:04 -0400

python-oslo.cache (2.6.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:32:55 -0400

python-oslo.cache (2.6.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:08:54 +0000

python-oslo.cache (2.5.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Align Depends min version of python3-dogpile.cache with
    Build-Depends min version.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 13:44:52 -0400

python-oslo.cache (2.4.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:37:59 -0400

## python-oslo.cache 2.8.1

=== debian/changelog ===
python-oslo.cache (2.8.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 20:30:53 +0000

python-oslo.cache (2.8.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:39:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,43 @@
 Source: python-oslo.cache
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-binary-memcached,
- python3-dogpile.cache (>= 1.0.2),
- python3-etcd3gw,
+ python3-binary-memcached (>= 0.29.0),
+ python3-dogpile.cache (>= 1.1.2),
+ python3-etcd3gw (>= 0.2.0),
  python3-hacking,
- python3-memcache,
- python3-openstackdocstheme <!nodoc>,
- python3-oslo.config (>= 8.1.0),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 2.2.0),
+ python3-oslo.config (>= 1:8.1.0),
  python3-oslo.i18n (>= 5.0.0),
- python3-oslo.log (>= 4.2.0),
+ python3-oslo.log (>= 4.2.1),
  python3-oslo.utils (>= 4.2.0),
  python3-oslosphinx (>= 2.5.0),
- python3-oslotest,
+ python3-oslotest (>= 1:3.2.0),
  python3-pymemcache,
- python3-pymongo,
- python3-sphinxcontrib.apidoc,
+ python3-pymongo (>= 3.0.2),
+ python3-six (>= 1.11.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.cache
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.cache
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.cache-doc
@@ -54,14 +58,13 @@
 Package: python3-oslo.cache
 Architecture: all
 Depends:
- python3-binary-memcached,
- python3-dogpile.cache (>= 1.0.2),
+ python3-dogpile.cache (>= 1.1.2),
  python3-memcache,
- python3-oslo.config (>= 8.1.0),
+ python3-oslo.config (>= 1:8.1.0),
  python3-oslo.i18n (>= 5.0.0),
- python3-oslo.log (>= 4.2.0),
+ python3-oslo.log (>= 4.2.1),
  python3-oslo.utils (>= 4.2.0),
- python3-pymemcache,
+ python3-six (>= 1.11.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-oslo.cache 2.9.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-dogpile.cache>=1.0.2 # BSD
+dogpile.cache>=1.1.2 # BSD
 oslo.config>=8.1.0 # Apache-2.0
 oslo.i18n>=5.0.0 # Apache-2.0
 oslo.log>=4.2.1 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,11 +3,14 @@
 # process, which may cause wedges in the gate later.
 
 # For generating sphinx documentation
-openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx>=1.8.0,!=2.1.0 # BSD
-reno>=2.5.0 # Apache-2.0
+openstackdocstheme>=2.2.0 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
+reno>=3.1.0 # Apache-2.0
 sphinxcontrib-apidoc>=0.2.0  # BSD
 
 # For autodoc builds
 mock>=2.0.0 # BSD
 oslotest>=3.2.0 # Apache-2.0
+python-binary-memcached>=0.29.0 # MIT
+python-memcached>=1.56 # PSF
+etcd3gw>=0.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (2.9.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:38:26 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
http://tarballs.openstack.org/oslo.cache/ oslo.cache-(\d.*)\.tar\.gz

## python-oslo.cache 2.10.1

=== debian/changelog ===
python-oslo.cache (2.10.1-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Clean-up_memcache_connection_sockets.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 14 Nov 2023 10:36:53 +0000

python-oslo.cache (2.10.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:58:08 +0100

python-oslo.cache (2.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Increased python3-dogpile.cache min version to 1.1.5 and set
    python3-pymemcache min version to 3.5.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:14:37 +0100

python-oslo.cache (2.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:10:45 +0200

python-oslo.cache (2.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 13:54:20 +0200

python-oslo.cache (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:08:04 +0200

python-oslo.cache (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed versions satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Mar 2021 20:58:06 +0100

## python-oslo.cache 3.1.0

=== debian/changelog ===
python-oslo.cache (3.1.0-0ubuntu5~cloud0) jammy-zed; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 05 Oct 2022 12:01:42 +0000

python-oslo.cache (3.1.0-0ubuntu5) kinetic; urgency=medium

  * d/p/allow-bmemcached-to-be-optional-for-memcache_pool.patch:
    Patch updated to raise unexpected ImportError.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2022 09:16:14 -0400

python-oslo.cache (3.1.0-0ubuntu4) kinetic; urgency=medium

  * d/p/allow-bmemcached-to-be-optional-for-memcache_pool.patch:
    This makes the python3-binary-memcache package optional
    as it is not required by default (LP: #1991250).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2022 11:58:24 -0400

python-oslo.cache (3.1.0-0ubuntu3) kinetic; urgency=medium

  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2022 14:28:06 -0400

python-oslo.cache (3.1.0-0ubuntu2) kinetic; urgency=medium

  * d/control: Add python3-binary-memcached to Suggests until
    it is in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2022 12:02:06 -0400

python-oslo.cache (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:08:46 -0400

python-oslo.cache (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:44:02 -0400

python-oslo.cache (2.11.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:53:19 -0400

## python-oslo.cache 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-dogpile.cache>=1.1.2 # BSD
+dogpile.cache>=1.1.5 # BSD
 oslo.config>=8.1.0 # Apache-2.0
 oslo.i18n>=5.0.0 # Apache-2.0
 oslo.log>=4.2.1 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # For autodoc builds
 mock>=2.0.0 # BSD
 oslotest>=3.2.0 # Apache-2.0
+pymemcache>=3.5.0 # Apache-2.0
 python-binary-memcached>=0.29.0 # MIT
 python-memcached>=1.56 # PSF
 etcd3gw>=0.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 15:46:35 +0200

python-oslo.cache (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:56:54 +0200

python-oslo.cache (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:39:18 +0200

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.1.5),
 python3-etcd3gw,
 python3-hacking,
 python3-memcache,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-pymemcache (>= 3.5.0),
 python3-pymongo,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.1.5),
 python3-memcache,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_cache\.tests\.(?!(.*test_cache_backend_mongo.*|unit\.test_cache_basics\.CacheRegionTest\.test_cache_pymemcache_socket_keepalive_enabled|unit\.test_cache_basics\.CacheRegionTest\.test_cache_pymemcache_socket_keepalive_with_config))'
+	pkgos-dh_auto_test --no-py2 'oslo_cache\.tests\.(?!(.*test_cache_backend_mongo.*))'
 endif
 
 override_dh_auto_test:

## python-oslo.cache 3.3.1

=== debian/changelog ===
python-oslo.cache (3.3.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1047288).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:37:56 +0200

python-oslo.cache (3.3.1-2) unstable; urgency=medium

  * Removed versions of (build-)depends when satisfied in Bookworm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:18:44 +0200

python-oslo.cache (3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:11:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr doc/source/reference/api *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.cache 3.4.0

=== debian/changelog ===
python-oslo.cache (3.4.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Jun 2023 20:12:04 +0000

python-oslo.cache (3.4.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/p/allow-bmemcached-to-be-optional-for-memcache_pool.patch: Dropped.
    Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Jun 2023 10:37:34 -0400

python-oslo.cache (3.3.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:22:23 -0500

python-oslo.cache (3.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:28:48 -0500

## python-oslo.cache 3.5.0

=== debian/changelog ===
python-oslo.cache (3.5.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 20:17:04 +0000

python-oslo.cache (3.5.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:52:24 -0400

## python-oslo.cache 3.7.0

=== requirements.txt ===
dogpile.cache>=1.1.5 # BSD
oslo.config>=8.1.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.1 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (3.7.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:12:50 +0000

python-oslo.cache (3.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 14:16:11 +0000

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-binary-memcached (>= 0.29.0),
 python3-dogpile.cache (>= 1.1.5),
 python3-etcd3gw (>= 0.2.0),
 python3-hacking,
 python3-memcache (>= 1.56),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.1),
 python3-oslo.utils (>= 4.2.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 3.5.0),
 python3-pymongo (>= 3.0.2),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.cache
Homepage: https://opendev.org/openstack/oslo.cache

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-dogpile.cache (>= 1.1.5),
 python3-memcache,
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.log (>= 4.2.1),
 python3-oslo.utils (>= 4.2.0),
 python3-six (>= 1.11.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-binary-memcached (>= 0.29.0),
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

## python-oslo.cache 3.8.0

=== requirements.txt ===
dogpile.cache>=1.3.1 # BSD
oslo.config>=8.1.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.log>=4.2.1 # Apache-2.0
oslo.utils>=4.2.0 # Apache-2.0

=== doc/requirements.txt ===
# For generating sphinx documentation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
mock>=2.0.0 # BSD
oslotest>=3.2.0 # Apache-2.0
pymemcache>=3.5.0 # Apache-2.0
python-binary-memcached>=0.29.0 # MIT
python-memcached>=1.56 # PSF
etcd3gw>=0.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.cache (3.8.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090563).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:14:24 +0100

python-oslo.cache (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:44:18 +0200

python-oslo.cache (3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 14:35:16 +0200

python-oslo.cache (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:28:02 +0200

python-oslo.cache (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-redis as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 13:18:06 +0100

python-oslo.cache (3.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:09:36 +0100

python-oslo.cache (3.5.0-4) unstable; urgency=medium

  * Push lastest version of Clean-up_memcache_connection_sockets.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Nov 2023 11:37:30 +0100

python-oslo.cache (3.5.0-3) unstable; urgency=medium

  * Add Clean-up_memcache_connection_sockets.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Nov 2023 14:34:28 +0100

python-oslo.cache (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 12:02:40 +0200

python-oslo.cache (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:01:17 +0200

=== debian/control ===
Source: python-oslo.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.3.1),
 python3-etcd3gw,
 python3-hacking,
 python3-memcache,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-pymemcache,
 python3-pymongo,
 python3-redis,
 python3-sphinxcontrib.apidoc,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.cache.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.cache-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cache storage for Openstack projects - doc
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the documentation.

Package: python3-oslo.cache
Architecture: all
Depends:
 python3-binary-memcached,
 python3-dogpile.cache (>= 1.3.1),
 python3-memcache,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.cache-doc,
Description: cache storage for Openstack projects - Python 3.x
 oslo.cache aims to provide a generic caching mechanism for OpenStack projects
 by wrapping the dogpile.cache library. The dogpile.cache library provides
 support memoization, key value storage and interfaces to common caching
 backends such as Memcached.
 .
 This package contains the Python 3.x module.

## python-oslo.cache 3.9.0

=== debian/changelog ===
python-oslo.cache (3.9.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.
  * d/control: Align (Build-)Depends with release.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:42:42 +0000

python-oslo.cache (3.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/{control,tests}/*: Test with all supported Pythons.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:25:13 +0100
